### Virtual Method

# Gtk CellArea event

#### Declaration [src]

    int
    event (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Delegates event handling to a `GtkCellArea`.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context for this row of data.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering to.
| The data is owned by the caller of the function.
`event` | `GdkEvent*`
| The `GdkEvent` to handle.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The `widget` relative coordinates for `area`.
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| The `GtkCellRenderer`State for `area` in this row.

#### Return value

Returns: | `int`
| `TRUE` if the event was handled by `area`.